Name:           faugus-launcher
Version:        1.1
Release:        3%{?dist}
Summary:        A simple and lightweight app for running Windows games using UMU-Launcher

License:        MIT
URL:            https://github.com/Faugus/faugus-launcher
Source0:        %{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       python3, python3-gobject, python3-requests, python3-icoextract, python3-pillow, umu-launcher, ImageMagick

%description
A simple and lightweight app for running Windows games using UMU-Launcher/UMU-Proton.

%prep
%autosetup

%build

%install
install -Dm755 %{_builddir}/%{name}-%{version}/faugus-launcher.py %{buildroot}/%{_bindir}/faugus-launcher
install -Dm755 %{_builddir}/%{name}-%{version}/faugus-run.py %{buildroot}/%{_bindir}/faugus-run
install -Dm755 %{_builddir}/%{name}-%{version}/faugus-proton-manager.py %{buildroot}/%{_bindir}/faugus-proton-manager
install -Dm644 %{_builddir}/%{name}-%{version}/faugus-launcher.desktop %{buildroot}/%{_datadir}/applications/faugus-launcher.desktop
install -Dm644 %{_builddir}/%{name}-%{version}/faugus-shortcut.desktop %{buildroot}/%{_datadir}/applications/faugus-shortcut.desktop
install -Dm644 %{_builddir}/%{name}-%{version}/faugus-launcher.png %{buildroot}/%{_datadir}/icons/faugus-launcher.png

%files
%{_bindir}/faugus-launcher
%{_bindir}/faugus-run
%{_bindir}/faugus-proton-manager
%{_datadir}/applications/faugus-launcher.desktop
%{_datadir}/applications/faugus-shortcut.desktop
%{_datadir}/icons/faugus-launcher.png

%changelog
* Thu Oct 24 2024 Faugus - 1.1-3
- Flatpak experimental release.
